[Switch] 4NXCI v0.9 Alpha 4 disponible

453 visiteurs sur le site | S'incrire

Accédez aux coordonnées de l’ensemble des techniciens professionnels recommandés par logic-sunrise 20 derniers dossiers et tutoriaux
Wii / Wii U
[Switch] 4NXCI v0.9 Alpha 4 disponible
Le développeur The-4n vient de mettre en ligne une nouvelle version de son logiciel 4NXCI qui passe maintenant en v0.9-Alpha 4.
 
 
 
 
 
Comme vous le savez cet outil est destiné à la conversion de fichiers du format XCI au format NSP. Le premier hack de la Switch était basé sur le format XCI, puis il a été possible d'utiliser le NSP, un format plus souple, installable comme un CIA sur 3DS via DevMenu ou Tinfoil.
 
N'oubliez pas que pour en profiter, vous devez disposer d'un Keyset de votre Switch.
 
 
 
 
 
 
 
La nouvelle version Alpha 4 vient rajouter la possibilité d'encrypter la section 0 dans le du Meta NCA. La version précédente avait elle pour ambition de corriger un bug dans .cnmt.xml et 4NXCI reconstruisait .cnmt.nca.
 
 
Téléchargement : 4NXCI v0.9 Alpha 4
 
Vendredi 10 Août 2018, 11:25 par tralala
Source : github.com/The-4n/4NXCI/releases
10 août 2018, 11:47
Approuver ce commentaire (+1)
merci. toujours le même problème si le jeu contient une mise à jour. il ne fait que la mise en jour en NSP
Répondre à ce commentaire
Utilisateur en ligne
10 août 2018, 12:01
Approuver ce commentaire (+1)
Il doit y avoir un moyen de supprimer l'update du XCI avant de le convertir, non ?
Répondre à ce commentaire
10 août 2018, 13:05
Approuver ce commentaire (+1)

merci. toujours le même problème si le jeu contient une mise à jour. il ne fait que la mise en jour en NSP


bonjour mais comment réglé sa
Répondre à ce commentaire
10 août 2018, 14:37
Approuver ce commentaire (+1)
+1
Perso je chercherai plu^tot autre chose, un convertisseur de NSP vers XCI, je trouve le format XCI plus simple à utiliser (il suffit d'en mettre sur plusieurs cartes Sd alors qu'installer les NSP prend de la place sur la mémoire console (ou demande le double de place sur la Sd)...
Répondre à ce commentaire
10 août 2018, 14:54
Approuver ce commentaire (+1)

Perso je chercherai plu^tot autre chose, un convertisseur de NSP vers XCI, je trouve le format XCI plus simple à utiliser (il suffit d'en mettre sur plusieurs cartes Sd alors qu'installer les NSP prend de la place sur la mémoire console (ou demande le double de place sur la Sd)...

le double de place sur la SD ? Nope, tu peux supprimer le fichier nsp une fois installé (au choix sur mmc/emmc).

Répondre à ce commentaire
10 août 2018, 15:08
Approuver ce commentaire (+1)
Mais le format xci reste plus simple à gérer. Je ne veux plus du jeu, je supprime le fichier xci.
Répondre à ce commentaire
10 août 2018, 15:12
Approuver ce commentaire (+1)

Perso je chercherai plu^tot autre chose, un convertisseur de NSP vers XCI, je trouve le format XCI plus simple à utiliser (il suffit d'en mettre sur plusieurs cartes Sd alors qu'installer les NSP prend de la place sur la mémoire console (ou demande le double de place sur la Sd)...

le double de place sur la SD ? Nope, tu peux supprimer le fichier nsp une fois installé (au choix sur mmc/emmc).

Oui je sais mais transitoirement en tout cas ça prend le double de place (n'ayant "qu'une" 128 go on est vite plein, un NSp de 14 Go en prendra 30 transitoirement, ce n'est pas négligeable ^^)
Répondre à ce commentaire
10 août 2018, 15:50
Approuver ce commentaire (+1)

Perso je chercherai plu^tot autre chose, un convertisseur de NSP vers XCI, je trouve le format XCI plus simple à utiliser (il suffit d'en mettre sur plusieurs cartes Sd alors qu'installer les NSP prend de la place sur la mémoire console (ou demande le double de place sur la Sd)...


non pas du tout, le NSP tu installes et après tu enleves ton jeu en .NSP.. de plus il prend moins de place dans la micro SD
Répondre à ce commentaire
10 août 2018, 15:58
Approuver ce commentaire (+1)

Il doit y avoir un moyen de supprimer l'update du XCI avant de le convertir, non ?


Je pense, faut que je regarde comment faire
Répondre à ce commentaire
10 août 2018, 16:11
Approuver ce commentaire (+1)
+1
Bref le problème xci n'a pas besoin installation nsp si sa faire 15Go et que ta 15Go en Micro Sd tu ne peu pas installer la console demandera Les double pour installer et après suprime le nsp
Sur la sd ce sera très bien nsp en xci et en nsp ce difficile de retrouver ces jeux quand on possède 3 à 4 micro sd trop de logo oblige d'aller dans le paramètre gestion de données logiciel pour repérer les jeux installés en nsp ce prise de tête je vote pour nsp en xci
Répondre à ce commentaire
10 août 2018, 17:23
Approuver ce commentaire (+1)
Tout à fait Evilmanes, c'est pour ça que je privilégie le xci pour les jeux mais le nsp pour les dlc (car oui pour avoir testé c'est possible d'installer les DLC en nsp et de jouer avec le jeu cartouche ou xci, le DLC est alors pris en compte)
Mais bon on digresse on digresse...




Graisse !
Répondre à ce commentaire
Utilisateur en ligne
10 août 2018, 17:49
Approuver ce commentaire (+1)
NSP ou XCI : la question ne se pose que si on a un SX PRO, sinon c'est NSP obligatoire (pour le moment en tout cas) donc ce soft est utile pour les gens ne possédant pas de SX PRO (quand il fonctionne en tout cas car me concernant, pour le moment, aucun des XCI convertis n'a fonctionné...)
Répondre à ce commentaire
10 août 2018, 18:02
Approuver ce commentaire (+1)

NSP ou XCI : la question ne se pose que si on a un SX PRO, sinon c'est NSP obligatoire (pour le moment en tout cas) donc ce soft est utile pour les gens ne possédant pas de SX PRO (quand il fonctionne en tout cas car me concernant, pour le moment, aucun des XCI convertis n'a fonctionné...)

Ou pour ceux qui ont le SX OS. Ou pour les jeux qui n'existent qu'en cartouche :)

Sinon c'est vrai que pour installer des gros jeux il faut avoir le double de place ça peut être un peu chiant.
Répondre à ce commentaire
10 août 2018, 20:50
Approuver ce commentaire (+1)
C'est chiant le format nsp tu pase ton temps a faire des installations serieux rester au XCI svp bordel de M.
XCI tu met sur sd tu touche avec ton petit doigt le doigter quoi et ca marche
Répondre à ce commentaire
10 août 2018, 20:59
Approuver ce commentaire (+1)

NSP ou XCI : la question ne se pose que si on a un SX PRO, sinon c'est NSP obligatoire (pour le moment en tout cas) donc ce soft est utile pour les gens ne possédant pas de SX PRO (quand il fonctionne en tout cas car me concernant, pour le moment, aucun des XCI convertis n'a fonctionné...)


Les miens fonctionnent très bien et j'utilise le SX pro et je préfère de loin le NSP.
Répondre à ce commentaire
10 août 2018, 21:34
Approuver ce commentaire (+1)
+2

C'est chiant le format nsp tu pase ton temps a faire des installations serieux rester au XCI svp bordel de M.
XCI tu met sur sd tu touche avec ton petit doigt le doigter quoi et ca marche

lol tu parles à qui (⊙_☉) ? personne n'a décidé d'utiliser des XCI ou NSP. l'un est format de jeu cartouche, l'autre de titre dématérialisé....

Logiquement il y'a plus de jeux en NSP puisqu'il y'a plus de jeux démat que de jeux cartouches, faut pas chercher plus loin....

Répondre à ce commentaire
11 août 2018, 09:08
Approuver ce commentaire (+1)

C'est chiant le format nsp tu pase ton temps a faire des installations serieux rester au XCI svp bordel de M.
XCI tu met sur sd tu touche avec ton petit doigt le doigter quoi et ca marche

lol tu parles à qui (⊙_☉) ? personne n'a décidé d'utiliser des XCI ou NSP. l'un est format de jeu cartouche, l'autre de titre dématérialisé....
Logiquement il y'a plus de jeux en NSP puisqu'il y'a plus de jeux démat que de jeux cartouches, faut pas chercher plus loin....


Ah bon ^^ j’étais complétement perdu avec tous les hack de cette console.
Répondre à ce commentaire
Utilisateur en ligne
11 août 2018, 17:39
Approuver ce commentaire (+1)

NSP ou XCI : la question ne se pose que si on a un SX PRO, sinon c'est NSP obligatoire (pour le moment en tout cas) donc ce soft est utile pour les gens ne possédant pas de SX PRO (quand il fonctionne en tout cas car me concernant, pour le moment, aucun des XCI convertis n'a fonctionné...)

Les miens fonctionnent très bien et j'utilise le SX pro et je préfère de loin le NSP.

Kouba, je viens de capter que mon problème vient peut être de mon fichier keys.dat ( il est écrit dans la news : "vous devez disposer d'un Keyset de votre Switch").
Tu utilise le même fichier que pour hactool renommé ou il en faut un spécifique généré par la switch ? Dans ce dernier cas, comment le génére t'on sur la Switch stp ?

Ou alors c'est juste que tout mes XCI contiennent des updates...
Répondre à ce commentaire
11 août 2018, 19:38
Approuver ce commentaire (+1)

Kouba, je viens de capter que mon problème vient peut être de mon fichier keys.dat ( il est écrit dans la news : "vous devez disposer d'un Keyset de votre Switch").
Tu utilise le même fichier que pour hactool renommé ou il en faut un spécifique généré par la switch ? Dans ce dernier cas, comment le génére t'on sur la Switch stp ?

Ou alors c'est juste que tout mes XCI contiennent des updates...


C'est bien le même keyset que pour Hactool mais il doit te manquer certaines clés car elles ne sont pas toujours toutes requises, tout dépend de se que tu fais avec Hactool.
Répondre à ce commentaire
11 août 2018, 23:11
Approuver ce commentaire (+1)
Petite question pour les specialistes.
Je vais bientot recupérer la switch et je ne vais jamais y joué online.
Si je fais l'install des jeux en NSP est-ce qu'une fois les installs finis j'ai encore besoin d'une clé SX PRO ? (du jiggle etc...).
Si c'est installé dans la console comme un vrai jeu normalement y'a plus besoin de hack?
Répondre à ce commentaire
12 août 2018, 02:41
Approuver ce commentaire (+1)

Petite question pour les specialistes.
Je vais bientot recupérer la switch et je ne vais jamais y joué online.
Si je fais l'install des jeux en NSP est-ce qu'une fois les installs finis j'ai encore besoin d'une clé SX PRO ? (du jiggle etc...).
Si c'est installé dans la console comme un vrai jeu normalement y'a plus besoin de hack?


Et si car même si les jeux sont installés dans la console le problème est qu'ils ne seront pas signés correctement donc il te faudra tout de même lancer un CFW.
Répondre à ce commentaire
Utilisateur en ligne
12 août 2018, 11:03
Approuver ce commentaire (+1)

Kouba, je viens de capter que mon problème vient peut être de mon fichier keys.dat ( il est écrit dans la news : "vous devez disposer d'un Keyset de votre Switch").Tu utilise le même fichier que pour hactool renommé ou il en faut un spécifique généré par la switch ? Dans ce dernier cas, comment le génére t'on sur la Switch stp ?Ou alors c'est juste que tout mes XCI contiennent des updates...

C'est bien le même keyset que pour Hactool mais il doit te manquer certaines clés car elles ne sont pas toujours toutes requises, tout dépend de se que tu fais avec Hactool.

Ok, merci. Dans ce cas, peut-tu me dire quelles sont les clés nécessaire pour convertir un XCI fonctionnel stp ? (Les noms des clés, pas les clés elle même car je sait que c'est illégal de les publier ici).
Ce qui est bizzare c'est que j'ai aucun message d'erreur à la conversion et que les NSP s'installent bien sur la Switch mais font une erreur au lancement...
Répondre à ce commentaire
12 août 2018, 13:02
Approuver ce commentaire (+1)
Désolé mais n'ayant jamais fais le test je ne saurait te dire, perso j'utilise souvent le keyset qui se télécharge automatiquement via CDNSP GUI Bob et pour l'instant il a fonctionné dans tout les cas. Le seul problème que j'ai eu une fois c'était pour extraire du contenu d'un XCI (je sais plus lequel) directement via Hactool mais j'avais réussi via XCI Explorer alors que pourtant le keyset de XCI Explorer est moins complet et ne dispose d'aucune clé manquante à mon keyset de CDNSP.
Répondre à ce commentaire
Utilisateur en ligne
12 août 2018, 14:35
Approuver ce commentaire (+1)
Je viens de refaire un essai avec Syberia 2 et le keys.txt de CDNSP GUI Bob 4.0.1 renommé en keys.dat et toujours "Vous avez quitté le logiciel car une erreur est survenue" lors du lancement sur la Switch.
Donc je pense que le problème ne viens pas des clés mais bien de l'update présent dans le XCI... Je sait décompresser le XCI et enlever l'update mais je ne sait pas le recompresser en NSP.
Répondre à ce commentaire
13 août 2018, 02:53
Approuver ce commentaire (+1)
Non, ton problème ne vient pas de là car le logiciel extrait seulement les fichiers du jeu, pas l'update et d'ailleurs c'est pour çà entre autres que les NSP sont moins volumineux que les XCI (j'ai pris le temps de tester un peu tout çà et c'est même intégré à mon Ultimate Switch Hack Script maintenant). Ta Switch est sous quel firmware?

Selon moi le problème que tu as est que tu lances le NSP installé sous un firmware ne pouvant pas lancer le jeu.
Répondre à ce commentaire
Utilisateur en ligne
13 août 2018, 08:14
Approuver ce commentaire (+1)
Malheureusement non, le problème ne viens pas du firmware. Elle est mise a jour sous le dernier firmware (je l'ai faite avec choix du jour). De plus quand le firmware est trop bas pour le jeu, il n'y a pas d'icône (j'ai testé au début)
Répondre à ce commentaire
13 août 2018, 09:58
Approuver ce commentaire (+1)

Et si car même si les jeux sont installés dans la console le problème est qu'ils ne seront pas signés correctement donc il te faudra tout de même lancer un CFW.


Merci beaucoup Shadow256 pour ta réponse. Par contre n'y'a t'il pas moyen de rendre le hack SX permanent? J'ai entendu parler de AutoRCM mais je sais pas si il y a encore besoin du Dongle apres ?
Répondre à ce commentaire
Utilisateur en ligne
13 août 2018, 11:47
Approuver ce commentaire (+1)

Bonjour, J'ai exactement le même problème que fredlabidouille. Je suis sur le dernier firwmware et j'extrais mes jeux avec le keyset de ma switch.

Répondre à ce commentaire
13 août 2018, 12:42
Approuver ce commentaire (+1)
@fripmija et @fredlabidouille : Essayez avec mon http://www.logic-sun...cript/?p=989150, j'ai compilé la dernière version intégrant un patch pour les firmwares 5.1.0, peut-être que le problème vient de là.

@mathls : Alors avec l'auto-RCM attention à ne pas tomber en rade de batterie car ça peut être chiant à relancer ensuite et non, pas de hack permanent pour l'instant, tu imagines bien que si ce genre de choses existaient se serait dans les premières questions de http://www.logic-sun...vant-de-poster/. L'auto-RCM permet juste de se passer du jig mais l'injection du payload (via un dongle ou un logiciel) est toujours requise.
Répondre à ce commentaire
Utilisateur en ligne
13 août 2018, 13:43
Approuver ce commentaire (+1)
Petite précision concernant l'auto-RCM. Choixdujour le mets en place quand on installe un nouveau firmware car il est utile pour éviter de griller des Efuses et de mettre a jour les Joycons. Moi ça me convient car j'aimerai pouvoir revenir dans mon firmware d'origine en cas de besoin (le 3.0.0 dans mon cas), par exemple si une solution coldboot arrive en 3.0.0 ou une possibilité d'emunand (avec un 3.0.0 en firmware réel en 5.1.0 en nand émulée par exemple). Il me semble avoir lu que l'autoRCM est réversible, donc pas de soucis pour le moment tant que je garde ma batterie chargée ;-)
Répondre à ce commentaire
Utilisateur en ligne
13 août 2018, 13:44
Approuver ce commentaire (+1)

@fripmija et @fredlabidouille : Essayez avec mon http://www.logic-sun...cript/?p=989150, j'ai compilé la dernière version intégrant un patch pour les firmwares 5.1.0, peut-être que le problème vient de là.@mathls : Alors avec l'auto-RCM attention à ne pas tomber en rade de batterie car ça peut être chiant à relancer ensuite et non, pas de hack permanent pour l'instant, tu imagines bien que si ce genre de choses existaient se serait dans les premières questions de http://www.logic-sun...vant-de-poster/. L'auto-RCM permet juste de se passer du jig mais l'injection du payload (via un dongle ou un logiciel) est toujours requise.

Merci, j'essaye de ce pas et je te fais un retour.
Edit : avec ton outil, j'ai un message msys-2.0.dll introuvable, chose que je n'avait pas avec le 4nxci officiel. Je vais tenter de trouver cette dll et je réessaie.
Edit 2 : J'ai téléchargé la dll et je l'ai mise dans le répertoire de l'outil mais malheureusement même si il a fonctionné ensuite, mon NSP s'installe bien par tinfoil mais donne toujours "Vous avez quitté le logiciel car une erreur est survenue" quand je le lance. Je vais encore investiguer...
Edit 3 : Je pense avoir trouvé le problème : les NSP convertis ne contiennent pas de Titlekey... ( vu avec l'outil DECRYPT_XCI_NCA_NSP ). Reste a touver comment rajouter un Titlekey dans un NSP... Quelqu'un sait comment on fait ?
Répondre à ce commentaire
13 août 2018, 19:25
Approuver ce commentaire (+1)
Il y a une nouvelle version sur le Github donc tu peux toujours essayer de nouveau avec celle-ci.

Sinon essais d'ouvrir une "issue" sur le Github, peut-être que l'auteur te donneras une réponse.

Et pour l'erreur de DLL c'est bizarre, moi je ne l'ai pas eu.
Répondre à ce commentaire
Utilisateur en ligne
14 août 2018, 12:15
Approuver ce commentaire (+1)
Merci shadow256, avec l'alpha 5 ça fonctionne ! (en tout cas pour Syberia 2, je vais essayer avec mes autres XCI)
N.B. : Pour l'erreur DLL, c'est sans doute qu'elle était déjà installée sur ton système et qu'elle ne l'était pas sur le mien.
Edit : Ca ne fonctionne pas avec "Let's Sing 2018 - Hits Français", dommage... Je vais attendre l'alpha 6 ;-)
Répondre à ce commentaire
Utilisateur en ligne
14 août 2018, 15:04
Approuver ce commentaire (+1)

Avec l'alpha 5 , arms fonctionne aussi

Répondre à ce commentaire
Utilisateur en ligne
19 août 2018, 12:03
Approuver ce commentaire (+1)
Ca y est ! La beta 1 fonctionne avec tous mes XCI ! Y compris "Let's Sing 2018 - Hits Français" !
Répondre à ce commentaire
Cliquer ici pour continuer sur le forum
Envoyer